Page MenuHomePhabricator

Invariant failed: Bad SourceRange length
Closed, ResolvedPublic

Description

Multiple errors of this type on /w/rest.php/de.wikipedia.org/v3/page/pagebundle/Portal%3AAuto_und_Motorrad%2FKategoriebaum_Auto/193578943
See stack trace below.

#0 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Tokens/SourceRange.php(80): Wikimedia\Assert\Assert::invariant(boolean, string)
#1 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TT/TokenCollector.php(179): Parsoid\Tokens\SourceRange->substr(string)
#2 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TT/TokenCollector.php(213): Parsoid\Wt2Html\TT\TokenCollector::buildMetaToken(Parsoid\Wt2Html\TokenTransformManager, string, boolean, Parsoid\Tokens\SourceRange, string)
#3 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TT/NoInclude.php(95): Parsoid\Wt2Html\TT\TokenCollector::buildStrippedMetaToken(Parsoid\Wt2Html\TokenTransformManager, string, Parsoid\Tokens\TagTk, Parsoid\Tokens\EOFTk)
#4 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TT/TokenCollector.php(120): Parsoid\Wt2Html\TT\NoInclude->transformation(array)
#5 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TT/TokenCollector.php(227): Parsoid\Wt2Html\TT\TokenCollector->onDelimiterToken(Parsoid\Tokens\EOFTk)
#6 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TT/TokenHandler.php(209): Parsoid\Wt2Html\TT\TokenCollector->onEnd(Parsoid\Tokens\EOFTk)
#7 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TokenTransformManager.php(120): Parsoid\Wt2Html\TT\TokenHandler->process(array)
#8 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TokenTransformManager.php(182): Parsoid\Wt2Html\TokenTransformManager->processChunk(array)
#9 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/ParserPipeline.php(127): Parsoid\Wt2Html\TokenTransformManager->process(array, array)
#10 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Utils/PipelineUtils.php(110): Parsoid\Wt2Html\ParserPipeline->parse(array, array)
#11 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/Frame.php(138): Parsoid\Utils\PipelineUtils::processContentInPipeline(Parsoid\Config\Env, Parsoid\Wt2Html\Frame, array, array)
#12 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TT/AttributeTransformManager.php(75): Parsoid\Wt2Html\Frame->expand(array, array)
#13 [internal function]: Parsoid\Wt2Html\TT\AttributeTransformManager->processOne(Parsoid\Tokens\KV)
#14 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TT/AttributeTransformManager.php(93): array_map(array, array)
#15 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TT/AttributeExpander.php(568): Parsoid\Wt2Html\TT\AttributeTransformManager->process(array)
#16 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TT/AttributeExpander.php(591): Parsoid\Wt2Html\TT\AttributeExpander->processComplexAttributes(Parsoid\Tokens\TagTk)
#17 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TT/TokenHandler.php(239): Parsoid\Wt2Html\TT\AttributeExpander->onAny(Parsoid\Tokens\TagTk)
#18 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TokenTransformManager.php(120): Parsoid\Wt2Html\TT\TokenHandler->process(array)
#19 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TokenTransformManager.php(182): Parsoid\Wt2Html\TokenTransformManager->processChunk(array)
#20 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/ParserPipeline.php(127): Parsoid\Wt2Html\TokenTransformManager->process(array, array)
#21 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Utils/PipelineUtils.php(110): Parsoid\Wt2Html\ParserPipeline->parse(array, array)
#22 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/Frame.php(138): Parsoid\Utils\PipelineUtils::processContentInPipeline(Parsoid\Config\Env, Parsoid\Wt2Html\PageConfigFrame, array, array)
#23 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TT/AttributeTransformManager.php(75): Parsoid\Wt2Html\Frame->expand(array, array)
#24 [internal function]: Parsoid\Wt2Html\TT\AttributeTransformManager->processOne(Parsoid\Tokens\KV)
#25 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TT/AttributeTransformManager.php(93): array_map(array, array)
#26 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TT/AttributeExpander.php(568): Parsoid\Wt2Html\TT\AttributeTransformManager->process(array)
#27 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TT/AttributeExpander.php(591): Parsoid\Wt2Html\TT\AttributeExpander->processComplexAttributes(Parsoid\Tokens\TagTk)
#28 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TT/TokenHandler.php(239): Parsoid\Wt2Html\TT\AttributeExpander->onAny(Parsoid\Tokens\TagTk)
#29 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TokenTransformManager.php(120): Parsoid\Wt2Html\TT\TokenHandler->process(array)
#30 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TokenTransformManager.php(192): Parsoid\Wt2Html\TokenTransformManager->processChunk(array)
#31 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/TokenTransformManager.php(190): Parsoid\Wt2Html\TokenTransformManager->processChunkily(string, array)
#32 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/HTML5TreeBuilder.php(431): Parsoid\Wt2Html\TokenTransformManager->processChunkily(string, array)
#33 [internal function]: Parsoid\Wt2Html\HTML5TreeBuilder->processChunkily(string, array)
#34 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/DOMPostProcessor.php(895): Generator->current()
#35 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/ParserPipeline.php(148): Parsoid\Wt2Html\DOMPostProcessor->processChunkily(string, array)
#36 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/ParserPipeline.php(198): Parsoid\Wt2Html\ParserPipeline->parseChunkily(string, array)
#37 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Wt2Html/ParserPipelineFactory.php(308): Parsoid\Wt2Html\ParserPipeline->parseToplevelDoc(string, array)
#38 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/WikitextContentModelHandler.php(78): Parsoid\Wt2Html\ParserPipelineFactory->parse(string)
#39 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Parsoid.php(86): Parsoid\WikitextContentModelHandler->toHTML(Parsoid\Config\Env)
#40 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/src/Parsoid.php(113): Parsoid\Parsoid->parseWikitext(MWParsoid\Config\PageConfig, array)
#41 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/extension/src/Rest/Handler/ParsoidHandler.php(591): Parsoid\Parsoid->wikitext2html(MWParsoid\Config\PageConfig, array, NULL)
#42 /srv/deployment/parsoid/deploy-cache/revs/aa59ce3d0aa035504666a63c99667398d0ea1928/src/extension/src/Rest/Handler/PageHandler.php(47): MWParsoid\Rest\Handler\ParsoidHandler->wt2html(Parsoid\Config\Env, array)
#43 /srv/mediawiki/php-1.35.0-wmf.3/includes/Rest/Router.php(315): MWParsoid\Rest\Handler\PageHandler->execute()
#44 /srv/mediawiki/php-1.35.0-wmf.3/includes/Rest/Router.php(285): MediaWiki\Rest\Router->executeHandler(MWParsoid\Rest\Handler\PageHandler)
#45 /srv/mediawiki/php-1.35.0-wmf.3/includes/Rest/EntryPoint.php(116): MediaWiki\Rest\Router->execute(MediaWiki\Rest\RequestFromGlobals)
#46 /srv/mediawiki/php-1.35.0-wmf.3/includes/Rest/EntryPoint.php(83): MediaWiki\Rest\EntryPoint->execute()
#47 /srv/mediawiki/php-1.35.0-wmf.3/rest.php(31): MediaWiki\Rest\EntryPoint::main()
#48 /srv/mediawiki/w/rest.php(3): require(string)
#49 {main}

Event Timeline

ssastry triaged this task as Medium priority.Oct 30 2019, 3:29 AM
ssastry created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2019, 3:29 AM
Sbailey claimed this task.Oct 31 2019, 3:29 PM

Change 547644 had a related patch set uploaded (by Sbailey; owner: Sbailey):
[mediawiki/services/parsoid@master] WIP Fix for crasher in substr

https://gerrit.wikimedia.org/r/547644

Change 547644 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Fix for crasher in substr

https://gerrit.wikimedia.org/r/547644

Sbailey closed this task as Resolved.Nov 12 2019, 6:21 PM